Mark the current approved stand on a lock
POST
/api/v1/projects/{projectId}/locks/{lockId}/stands
const url = 'https://api.yggy.tech/api/v1/projects/example/locks/example/stands';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"origin":"mail","sourceId":"example","label":"example","standDate":"2026-04-15T12:00:00Z"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.yggy.tech/api/v1/projects/example/locks/example/stands \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "origin": "mail", "sourceId": "example", "label": "example", "standDate": "2026-04-15T12:00:00Z" }'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” projectId
required
string
lockId
required
string
Request Body
Section titled “Request Body ” Media type application/json
object
origin
required
string
sourceId
string | null
label
string | null
standDate
string | null format: date-time
Responses
Section titled “ Responses ”Stand marked
Media type application/json
object
id
required
string
projectId
required
string
partLabel
required
string
disposition
required
string
lockedBy
required
string
assignees
required
Array<string>
lockedAt
required
string format: date-time
descriptionState
required
string
description
required
string | null
costStage
required
string
outcome
required
string
handoffHolder
required
string | null
handoffMissing
required
string | null
createdByName
required
string
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
handoffs
required
Array<object>
object
id
required
string
holder
required
string | null
missingItem
required
string | null
recordedByName
required
string
createdAt
required
string format: date-time
stands
required
Array<object>
object
id
required
string
origin
required
string
sourceId
required
string | null
label
required
string | null
standDate
required
string | null format: date-time
isCurrent
required
boolean
markedByName
required
string
markedAt
required
string format: date-time
Example
{ "disposition": "nio", "descriptionState": "missing", "costStage": "in_field", "outcome": "open", "stands": [ { "origin": "mail" } ]}Invalid request
Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
details
Example
{ "success": false, "error": { "code": "INTERNAL_ERROR" }}Unauthorized
Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
details
Example
{ "success": false, "error": { "code": "INTERNAL_ERROR" }}Forbidden
Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
details
Example
{ "success": false, "error": { "code": "INTERNAL_ERROR" }}Lock or source not found
Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
details
Example
{ "success": false, "error": { "code": "INTERNAL_ERROR" }}